/*
* Jalview - A Sequence Alignment Editor and Viewer
* Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/
package MCview;

import java.awt.*;

import java.util.*;


public class Atom {
    float x;
    float y;
    float z;
    int number;
    String name;
    String resName;
    int resNumber;
    int type;
    Color color;
    String chain;

    public boolean isSelected = false;

    public Atom(StringTokenizer str)
    {
        str.nextToken(); // Number, not used in MCview
        this.name = str.nextToken(); // Name, not used in MCview

        this.resName = str.nextToken();

        String token1 = str.nextToken();

        String token2 = str.nextToken();

        try{

          this.chain = token1;
          resNumber = Integer.parseInt(token2);

          this.x = (float) (new Float(str.nextToken()).floatValue());
          this.y = (float) (new Float(str.nextToken()).floatValue());
          this.z = (float) (new Float(str.nextToken()).floatValue());

        }catch(NumberFormatException ex)
        {
          chain = "A";
          resNumber = Integer.parseInt(token1);
          this.x = (float) (new Float(token2).floatValue());
          this.y = (float) (new Float(str.nextToken()).floatValue());
          this.z = (float) (new Float(str.nextToken()).floatValue());
        }

    }

    public void setColor(Color col) {
        this.color = col;
    }
}
